cURL
curl --request GET \
--url https://api.gmbapi.com/external-api/gmb/apple/brands \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gmbapi.com/external-api/gmb/apple/brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gmbapi.com/external-api/gmb/apple/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"payload": [
{
"segment_id": "<string>",
"apple_company_id": "<string>",
"apple_brand_id": "<string>",
"abc_sync_status": "<string>",
"brand_name": "<string>",
"name": "<string>",
"country_code": "<string>",
"primary_category": "<string>",
"additional_categories": [
"<string>"
],
"apple_categories": [
"<string>"
],
"website_url": "<string>",
"app_store_url": "<string>",
"ownership_type": "<string>",
"use_location_name": true,
"send_action_links": true,
"locations": [
"<string>"
],
"provision_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Apple Brands
List Apple Brands
Lists Apple brands for the organization. Pass apple_company_id to restrict to one company.
GET
/
apple
/
brands
cURL
Restricted. Requires Apple API access. Returns
403 with APPLE_API_DISABLED otherwise.Requires an Organization token.
apple_company_id to restrict to one company.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Restrict the list to brand segments belonging to this Apple Business Connect company.